ICU 71.1: UIDNAInfo Struct Reference

ICU 71.1 71.1

Data Fields
UIDNAInfo Struct Reference

Output container for IDNA processing errors. More...

`#include <uidna.h>`

## Data Fields
int16_t | size
| sizeof(UIDNAInfo) More...
UBool | isTransitionalDifferent
| Set to true if transitional and nontransitional processing produce different results. More...
UBool | reservedB3
| Reserved field, do not use. More...
uint32_t | errors
| Bit set indicating IDNA processing errors. More...
int32_t | reservedI2
| Reserved field, do not use. More...
int32_t | reservedI3
| Reserved field, do not use. More...

## Detailed Description

Output container for IDNA processing errors.

Initialize with UIDNA_INFO_INITIALIZER:

UIDNAInfo info = UIDNA_INFO_INITIALIZER;
int32_t length = uidna_nameToASCII(..., &info, &errorCode);
if(U_SUCCESS(errorCode) && info.errors!=0) { ... }
UIDNAInfo
Output container for IDNA processing errors.
Definition: uidna.h:185
UIDNAInfo::errors
uint32_t errors
Bit set indicating IDNA processing errors.
Definition: uidna.h:200
UIDNA_INFO_INITIALIZER
#define UIDNA_INFO_INITIALIZER
Static initializer for a UIDNAInfo struct.
Definition: uidna.h:209
uidna_nameToASCII
U_CAPI int32_t uidna_nameToASCII(const UIDNA *idna, const UChar *name, int32_t length, UChar *dest, int32_t capacity, UIDNAInfo *pInfo, UErrorCode *pErrorCode)
Converts a whole domain name into its ASCII form for DNS lookup.
U_SUCCESS
#define U_SUCCESS(x)
Does the error code indicate success?
Definition: utypes.h:712

Stable:
  ICU 4.6

Definition at line 185 of file uidna.h.

## Field Documentation

## ◆ errors

uint32_t UIDNAInfo::errors

Bit set indicating IDNA processing errors.

0 if no errors. See UIDNA_ERROR_... constants.

Stable:
  ICU 4.6

Definition at line 200 of file uidna.h.

## ◆ isTransitionalDifferent

UBool UIDNAInfo::isTransitionalDifferent

Set to true if transitional and nontransitional processing produce different results.

For details see C++ IDNAInfo::isTransitionalDifferent().

Stable:
  ICU 4.6

Definition at line 193 of file uidna.h.

## ◆ reservedB3

UBool UIDNAInfo::reservedB3

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 194 of file uidna.h.

## ◆ reservedI2

int32_t UIDNAInfo::reservedI2

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 201 of file uidna.h.

## ◆ reservedI3

int32_t UIDNAInfo::reservedI3

Reserved field, do not use.

Internal:
  Do not use. This API is for internal use only.

Definition at line 202 of file uidna.h.

## ◆ size

int16_t UIDNAInfo::size

sizeof(UIDNAInfo)

Stable:
  ICU 4.6

Definition at line 187 of file uidna.h.

The documentation for this struct was generated from the following file:

- uidna.h